# TheBLoC - Flutter/BLoC Pattern(Architecture)/Stream by Akash Divya

This is a Flutter App architected according to the BLoC Pattern.
This app demonstrate the most Easiest & Efficient way to Architect your Flutter Code on BLoC.

![Banner Image](https://raw.githubusercontent.com/AkashDivya/Flutter-Bloc-Example/master/images/Flutter-Bloc-Pattern-Architecture-Badass-Developers-Club.jpg)

# Things implemented in this App

This Flutter App, I implemented BLoC Pattern via Streams, Combined with the Beautiful UI. 
This App contains the implementation of the followings:
  - BLoC Pattern/Architecture
  - StreamBuilder
  - Customizing Status Bar & Navigation Tab
  - Custom TabBar & AppBar Widget
  - Custom Icon & Splash Screen
  - Various Material Components

# How to get this Repo and run it on your System

I kept the code as original as possible with prober Commented Guides for anyone to understand and implement. Still you need to follow these steps.
  - First get Flutter and all necessary SDK/Plugins installed. Full guide here [Flutter: Get Started](https://flutter.dev/docs/get-started/install)
  - Now create a new Flutter App, named as **'simplebloc'** with AndroidX Compatibility.
    ```
    flutter create --androidx simplebloc
    ```
  - Now download this [Repo](https://codeload.github.com/AkashDivya/Flutter-Bloc-Example/zip/master)
  - Extract the Repo into your newly created **simplebloc** and replace the required files.
  - Now you can Finally run VS-Code or Android Studio whichever you prefer and get the flutter packages and just run the App.
  
# Download the APK

Updating soon...

# Tutorial Video

  Updating soon...
  
# Other Useful Flutter Repos
  - **Explore - Flutter/FireStore/Google-Map**

    If you wanna learn how to implement Firebase's Firestore and Google Map with Flutter, visit this [Repo](https://github.com/AkashDivya/Explore-Flutter-FireStore)

  - **Custom Modal Bottom Sheet - Flutter**

    If you wanna learn how to create custom Modal Bottom Sheet in Flutter with Rounded Corners and Transparent Background, visit this [Repo](https://github.com/AkashDivya/Modal-Bottom-Sheet-Flutter)

  - **BadassIcons - Flutter/Custom-Font-Icons**

    If you wanna learn how to use Custom Font Icons as an alternative to SVG in Flutter(as they are not officially supported Yet!), visit this [Repo](https://github.com/AkashDivya/BadassIcons-Flutter-Custom-Font-Icons)

# About Me

I'm a veteran Designer/Animator with **10+ years** of experience. I always hated the excuses Developers gave me when they fail to implement my Design. One day, when I found about Flutter I said no more & started learning it.
I designed this app myself and the links will be updated soon.

# My Links

**[YouTube](https://www.youtube.com/channel/UCo7mhMbZXaNgpyT7gM6mWDQ)**

**[Dribbble](https://www.dribbble.com/akashdivya)**

**[Behance](https://www.behance.net/akashdivya)**

**Email: akash.apd@gmail.com**

**Now go out there and do what you Love.**
